Skip to main content
GET
/
incidents
Lists incidents with optional filters.
curl --request GET \
  --url https://api.example.com/incidents
import requests

url = "https://api.example.com/incidents"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "blockchain_records": [
      "<string>"
    ],
    "created_at": "<string>",
    "evidence_count": 1,
    "id": "<string>",
    "incident_type": "<string>",
    "severity": "<string>",
    "status": "<string>",
    "location": {
      "latitude": 123,
      "longitude": 123,
      "altitude": 123
    }
  }
]

Query Parameters

start_time
integer<int64> | null

Unix timestamp lower bound (inclusive) for filtering by creation time.

end_time
integer<int64> | null

Unix timestamp upper bound (inclusive) for filtering by creation time.

severity
string | null

Filter by severity level (e.g. "low", "high").

status
string | null

Filter by lifecycle status (e.g. "open", "resolved").

limit
integer<int32> | null

Maximum number of results to return.

Required range: x >= 0

Response

200 - application/json

List of incidents

blockchain_records
string[]
required

Blockchain transaction hashes anchoring this incident.

created_at
string
required

RFC 3339 creation timestamp.

evidence_count
integer<int32>
required

Number of evidence items associated with this incident.

Required range: x >= 0
id
string
required

Unique incident identifier.

incident_type
string
required

Type classification (e.g. "fire", "flood").

severity
string
required

Severity level (e.g. "low", "high", "critical").

status
string
required

Lifecycle status (e.g. "open", "resolved").

location
null | object

Geographic location where the incident occurred.